io.vertx.rxjava.rabbitmq

## Class BasicProperties

- java.lang.Object
- - io.vertx.rxjava.rabbitmq.BasicProperties

-     public class BasicProperties
      extends Object

  Like `BasicProperties`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static <any>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicProperties(BasicProperties delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `appId()`
    `String` | `clusterId()`
    `String` | `contentEncoding()`
    `String` | `contentType()`
    `String` | `correlationId()`
    `Integer` | `deliveryMode()`
    `boolean` | `equals(Object o)`
    `String` | `expiration()`
    `BasicProperties` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `messageId()`
    `static BasicProperties` | `newInstance(BasicProperties arg)`
    `Integer` | `priority()` Retrieve the value in the priority field.
    `String` | `replyTo()`
    `Long` | `timestamp()`
    `String` | `toString()`
    `String` | `type()`
    `String` | `userId()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final <any> __TYPE_ARG

  - ### Constructor Detail

    - #### BasicProperties

          public BasicProperties(BasicProperties delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public BasicProperties getDelegate()

    - #### contentType

          public String contentType()

      Returns:
        contentType of a message, or `null` if it has not been set.

    - #### contentEncoding

          public String contentEncoding()

      Returns:
        contentEncoding of a message, or `null` if it has not been set.

    - #### deliveryMode

          public Integer deliveryMode()

      Returns:
        deliveryMode of a message, or `null` if it has not been set.

    - #### priority

          public Integer priority()

      Retrieve the value in the priority field.
      Returns:
        priority of a message, or `null` if it has not been set.

    - #### correlationId

          public String correlationId()

      Returns:
        correlationId of a message, or `null` if it has not been set.

    - #### replyTo

          public String replyTo()

      Returns:
        replyTo address, or `null` if it has not been set.

    - #### expiration

          public String expiration()

      Returns:
        expiration of a message, or `null` if it has not been set.

    - #### messageId

          public String messageId()

      Returns:
        messageId, or `null` if it has not been set.

    - #### timestamp

          public Long timestamp()

      Returns:
        timestamp of a message, or `null` if it has not been set.

    - #### type

          public String type()

      Returns:
        type of a message, or `null` if it has not been set.

    - #### userId

          public String userId()

      Returns:
        userId, or `null` if it has not been set.

    - #### appId

          public String appId()

      Returns:
        appId, or `null` if it has not been set.

    - #### clusterId

          public String clusterId()

      Returns:
        clusterId, or `null` if it has not been set.

    - #### newInstance

          public static BasicProperties newInstance(BasicProperties arg)

Copyright © 2018 Eclipse. All rights reserved.